Get Vehicle / Obtener Vehiculo
GET
/external/vehiculo/{vehiculo_id}
const url = 'https://api-dev.zonaparqueo.com/external/vehiculo/10';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-dev.zonaparqueo.com/external/vehiculo/10 \ --header 'Authorization: <Authorization>'Gets vehicle information by its ID. The identifier is a path parameter.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”vehiculo_id
required
integer
Vehicle identifier
Example
10Responses
Section titled “Responses”Vehicle found
Media typeapplication/json
object
estado
string
data
object
id
Vehicle identifier
integer
nombre
Vehicle name or alias
string
placa
License plate
string
cliente_id
Client identifier
integer
activado
Activation status
integer
favorito
Marked as favorite
integer
Examples
Examplesuccess
{ "estado": "ok", "data": { "id": 10, "nombre": "Mi carro", "placa": "ABC123", "cliente_id": 5, "activado": 1, "favorito": 0 }}Invalid request
Media typeapplication/json
object
estado
string
error
Error message
string
errores
Field-specific error details
object
Example
{ "estado": "fail"}